org.apache.ignite.internal.processors.cache.persistence.checkpoint

## Interface CheckpointProgress

All Known Implementing Classes:
  CheckpointProgressImpl

    public interface CheckpointProgress

Represents information of a progress of a given checkpoint and allows to obtain future to wait for a particular checkpoint state.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clearCounters()` Clear cp progress counters.
`int` `currentCheckpointPagesCount()`
`void` `currentCheckpointPagesCount(int num)` Sets current checkpoint pages num to store.
`AtomicInteger` `evictedPagesCounter()`
`void` `fail(Throwable error)` Mark this checkpoint execution as failed.
`GridFutureAdapter` `futureFor(CheckpointState state)`
`PartitionDestroyQueue` `getDestroyQueue()`
`void` `initCounters(int pagesSize)` Initialize all counters before checkpoint.
`boolean` `inProgress()`
`AtomicInteger` `syncedPagesCounter()`
`void` `transitTo(@NotNull CheckpointState newState)` Changing checkpoint state if order of state is correct.
`void` `updateEvictedPages(int deltha)` Update evicted pages in checkpoint;
`void` `updateSyncedPages(int deltha)` Update synced pages in checkpoint;
`void` `updateWrittenPages(int deltha)` Update written pages in checkpoint;
`AtomicInteger` `writtenPagesCounter()`

### Method Detail

#### inProgress

    boolean inProgress()

#### futureFor

    GridFutureAdapter futureFor(CheckpointState state)

#### fail

    void fail(Throwable error)

Mark this checkpoint execution as failed.

Parameters:
  `error` - Causal error of fail.

#### transitTo

    void transitTo(@NotNull
                   @NotNull CheckpointState newState)

Changing checkpoint state if order of state is correct.

Parameters:
  `newState` - New checkpoint state.

#### getDestroyQueue

    PartitionDestroyQueue getDestroyQueue()

Returns:
  PartitionDestroyQueue.

#### writtenPagesCounter

    AtomicInteger writtenPagesCounter()

Returns:
  Counter for written checkpoint pages. Not `null` only if checkpoint is running.

#### syncedPagesCounter

    AtomicInteger syncedPagesCounter()

Returns:
  Counter for fsynced checkpoint pages. Not `null` only if checkpoint is running.

#### evictedPagesCounter

    AtomicInteger evictedPagesCounter()

Returns:
  Counter for evicted pages during current checkpoint. Not `null` only if checkpoint is running.

#### currentCheckpointPagesCount

    int currentCheckpointPagesCount()

Returns:
  Number of pages in current checkpoint. If checkpoint is not running, returns 0.

#### currentCheckpointPagesCount

    void currentCheckpointPagesCount(int num)

Sets current checkpoint pages num to store.

Parameters:
  `num` - Pages to store.

#### initCounters

    void initCounters(int pagesSize)

Initialize all counters before checkpoint.

#### updateSyncedPages

    void updateSyncedPages(int deltha)

Update synced pages in checkpoint;

Parameters:
  `deltha` - Pages num to update.

#### updateWrittenPages

    void updateWrittenPages(int deltha)

Update written pages in checkpoint;

Parameters:
  `deltha` - Pages num to update.

#### updateEvictedPages

    void updateEvictedPages(int deltha)

Update evicted pages in checkpoint;

Parameters:
  `deltha` - Pages num to update.

#### clearCounters

    void clearCounters()

Clear cp progress counters.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020